org.apache.drill.jdbc

## Class InvalidCursorStateSqlException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException
        - - org.apache.drill.jdbc.JdbcApiSqlException
          - - org.apache.drill.jdbc.InvalidCursorStateSqlException

All Implemented Interfaces:
  Serializable, Iterable<Throwable>

    public class InvalidCursorStateSqlException
    extends JdbcApiSqlException

SQLException for invalid-cursor-state conditions, e.g., calling a column accessor method before calling `ResultSet.next()` or after `ResultSet.next()` returns false.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidCursorStateSqlException()` See `JdbcApiSqlException.JdbcApiSqlException()`.
`InvalidCursorStateSqlException(String reason)` See `JdbcApiSqlException.JdbcApiSqlException(String)`.
`InvalidCursorStateSqlException(String reason, String SQLState)` See `JdbcApiSqlException.JdbcApiSqlException(String, String)`.
`InvalidCursorStateSqlException(String reason, String SQLState, int vendorCode)` See `JdbcApiSqlException.JdbcApiSqlException(String, String, int)`.
`InvalidCursorStateSqlException(String reason, String sqlState, int vendorCode, Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(String, String, int, Throwable)`.
`InvalidCursorStateSqlException(String reason, String sqlState, Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(String, String, Throwable)`.
`InvalidCursorStateSqlException(String reason, Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(String, Throwable)`.
`InvalidCursorStateSqlException(Throwable cause)` See `JdbcApiSqlException.JdbcApiSqlException(Throwable cause)`.

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException(String reason,
                                          String SQLState,
                                          int vendorCode)

See `JdbcApiSqlException.JdbcApiSqlException(String, String, int)`.

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException(String reason,
                                          String SQLState)

See `JdbcApiSqlException.JdbcApiSqlException(String, String)`.

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException(String reason)

See `JdbcApiSqlException.JdbcApiSqlException(String)`.

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException()

See `JdbcApiSqlException.JdbcApiSqlException()`.

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException(Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(Throwable cause)`.

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException(String reason,
                                          Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(String, Throwable)`.

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException(String reason,
                                          String sqlState,
                                          Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(String, String, Throwable)`.

#### InvalidCursorStateSqlException

    public InvalidCursorStateSqlException(String reason,
                                          String sqlState,
                                          int vendorCode,
                                          Throwable cause)

See `JdbcApiSqlException.JdbcApiSqlException(String, String, int, Throwable)`.